<?php
Route::group(['middleware' => ['web', 'auth','permission:Usersubroles']],function(){
    Route::get('/Usersubroles/',array('uses'=>'UsersubrolesController@Index','as'=>'UsersubrolesIndex'));
    Route::get('/Usersubroles/list',array('uses'=>'UsersubrolesController@All','as'=>'Usersubroleslist'));
    Route::post('/Usersubroles/create_or_update',array('uses'=>'UsersubrolesController@CreateOrUpdate','as'=>'Usersubrolescreateorupdate'));
    Route::get('/Usersubroles/add',array('uses'=>'UsersubrolesController@add','as'=>'Usersubrolesadd'));
    Route::get('/Usersubroles/edit/{id}',array('uses'=>'UsersubrolesController@edit','as'=>'Usersubrolesedit'));
    Route::get('/Usersubroles/view/{id}',array('uses'=>'UsersubrolesController@view','as'=>'Usersubrolesview'));
    Route::post('/Usersubroles/update/{id}',array('uses'=>'UsersubrolesController@Update','as'=>'Usersubrolesupdate'));
    Route::delete('/Usersubroles/delete/{id}',array('uses'=>'UsersubrolesController@Delete','as'=>'Usersubrolesdelete'));
    Route::delete('/Usersubroles/delete_multiple', array('uses' => 'UsersubrolesController@DeleteMultiple', 'as' => 'Usersubrolesdeletemultiple'));
});
